package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.TableNiuseRongliang;


/**
*  service接口类
*/
public interface TableNiuseRongliangService{

    List<TableNiuseRongliang> getTableNiuseRongliangList(TableNiuseRongliang record);

    List<TableNiuseRongliang> getTableNiuseRongliangByPage(Page page, TableNiuseRongliang record);

    TableNiuseRongliang getTableNiuseRongliangById(String id);

    TableNiuseRongliang getTableNiuseRongliang(TableNiuseRongliang record);

    boolean createTableNiuseRongliang(TableNiuseRongliang record);

    boolean deleteTableNiuseRongliang(TableNiuseRongliang record);

    boolean updateTableNiuseRongliang(TableNiuseRongliang record);
}

